الصفحات الانتقالية

GET https://rawabeti.com/api/splash-pages/
curl --request GET \
--url 'https://rawabeti.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات التفاصيل الوصف
page اختياري عدد صحيح رقم الصفحة التي تريد نتائج منها. افتراضيًا 1.
results_per_page اختياري عدد صحيح عدد النتائج التي تريدها في كل صفحة. القيم المسموح بها هي: 10 , 25 , 50 , 100 , 250 , 500 , 1000. افتراضيًا 25.
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-03-05 08:10:02",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://rawabeti.com/api/projects?page=1",
        "last": "https://rawabeti.com/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://rawabeti.com/api/projects?page=1"
    }
}
GET https://rawabeti.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://rawabeti.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-03-05 08:10:02",
    }
}
POST https://rawabeti.com/api/projects
المعلمات التفاصيل الوصف
name مطلوب نص -
title اختياري نص -
logo اختياري ملف -
favicon اختياري ملف -
opengraph اختياري ملف -
description اختياري نص -
secondary_button_name اختياري نص -
secondary_button_url اختياري نص -
custom_css اختياري نص -
custom_js اختياري نص -
ads_header اختياري نص -
ads_footer اختياري نص -
link_unlock_seconds اختياري عدد صحيح -
auto_redirect اختياري قيمة منطقية -
curl --request POST \
--url 'https://rawabeti.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
POST https://rawabeti.com/api/splash-pages/{splash_page_id}
المعلمات التفاصيل الوصف
name اختياري نص -
title اختياري نص -
logo اختياري ملف -
favicon اختياري ملف -
opengraph اختياري ملف -
description اختياري نص -
secondary_button_name اختياري نص -
secondary_button_url اختياري نص -
custom_css اختياري نص -
custom_js اختياري نص -
ads_header اختياري نص -
ads_footer اختياري نص -
link_unlock_seconds اختياري عدد صحيح -
auto_redirect اختياري قيمة منطقية -
curl --request POST \
--url 'https://rawabeti.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://rawabeti.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://rawabeti.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \